﻿Imports C1.C1Report

Public Class Form1

    Private dbFile As String = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + "\ComponentOne Samples\Common\c1nwind.mdb"

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim c1report1 As New C1Report
        c1report1.DataSource.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + dbFile + ";Persist Security Info=False"
        c1report1.DataSource.RecordSource = "SELECT Firstname, Lastname, EmployeeId, Notes FROM Employees"
        c1report1.Layout.Orientation = OrientationEnum.Portrait

        Dim f As Field
        With c1report1.Sections(SectionTypeEnum.Header)
            .Height = 1440
            .Visible = True
            .BackColor = Color.FromArgb(200, 200, 200)
            f = .Fields.Add("FldTitle", "New Report", 0, 0, 8000, 1440)
            f.Font.Size = 24
            f.Font.Bold = True
            f.ForeColor = Color.FromArgb(0, 0, 100)
        End With

        With c1report1.Sections(SectionTypeEnum.PageHeader)
            .Height = 300
            .Visible = True
            .CanGrow = False
            c1report1.Font.Bold = True
            f = .Fields.Add("Fname", "Firstname", 0, 0, 1000, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline1", "", 1000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Lname", "Lastname", 1500, 0, 1000, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline2", "", 2500, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Emp_Id", "EmployeeID", 2500, 0, 1500, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline3", "", 4000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Emp_Notes", "Notes", 4000, 0, 2000, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Hline4", "", 0, 300, c1report1.Layout.Width, 10)
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
        End With

        With c1report1.Sections(SectionTypeEnum.Detail)
            .Height = 300
            .Visible = True
            c1report1.Font.Bold = False
            f = .Fields.Add("DFname", "Firstname", 0, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline1", "", 1000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DLname", "Lastname", 1500, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline2", "", 2500, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DEmp_Id", "EmployeeID", 2500, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline3", "", 4000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DEmp_Notes", "Notes", 4500, 0, 3000, 300)
            f.Calculated = True
            f.CanGrow = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Hline4", "", 0, 300, c1report1.Layout.Width, 10)
            f.Anchor = AnchorEnum.Bottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
        End With

        C1PrintPreviewControl1.Document = c1report1.Document
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim c1report1 As New C1Report
        c1report1.DataSource.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + dbFile + ";Persist Security Info=False"
        c1report1.DataSource.RecordSource = "SELECT Firstname, Lastname, EmployeeId, City, Notes FROM Employees"
        c1report1.Layout.Orientation = OrientationEnum.Portrait

        Dim f As Field
        With c1report1.Sections(SectionTypeEnum.Header)
            .Height = 500
            .Visible = True
            .BackColor = Color.Coral
            f = .Fields.Add("FldTitle", "New Report", 0, 0, 8000, 500)
            f.Font.Size = 24
            f.Font.Bold = True
            f.ForeColor = Color.FromArgb(0, 0, 100)
        End With

        With c1report1.Sections(SectionTypeEnum.PageHeader)
            .Height = 400
            .Visible = True
            .BackColor = Color.FromArgb(200, 200, 200)
            f = .Fields.Add("FldHeader", "PageHeader", 0, 0, 8000, 400)
        End With

        Dim grp As Group
        grp = c1report1.Groups.Add("CityGroup", "City", SortEnum.Ascending)
        ' format the Header section for the new group 
        With grp.SectionHeader
            .Height = 300
            .Visible = True
            .CanGrow = True
            f = .Fields.Add("CtlCountry", "City", 0, 0, c1report1.Layout.Width, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.LeftMiddle
            f.Font.Bold = True
            f.Font.Size = 12
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.FromArgb(0, 0, 150)
            f.BackColor = Color.FromArgb(150, 150, 220)
            f.MarginLeft = 100
        End With ' sort employees by first name within each country 

        With c1report1.Sections(SectionTypeEnum.GroupHeader1)
            .Height = 300
            .Visible = True
            '.CanGrow = False
            c1report1.Font.Bold = True
            f = .Fields.Add("Fname", "Firstname", 0, 300, 1000, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline1", "", 1000, 300, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Lname", "Lastname", 1500, 300, 1000, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline2", "", 2500, 300, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Emp_Id", "EmployeeID", 2500, 300, 1500, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline3", "", 4000, 300, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("Emp_Notes", "Notes", 4000, 300, 1500, 300)
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Hline1", "", 0, 605, c1report1.Layout.Width, 10)
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Red
        End With

        With c1report1.Sections(SectionTypeEnum.Detail)
            .Height = 300
            .Visible = True
            c1report1.Font.Bold = False
            f = .Fields.Add("DFname", "Firstname", 0, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline1", "", 1000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DLname", "Lastname", 1500, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline2", "", 2500, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DEmp_Id", "EmployeeID", 2500, 0, 1000, 300)
            f.Calculated = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Vline3", "", 4000, 0, 10, 300)
            f.Anchor = AnchorEnum.TopAndBottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
            f = .Fields.Add("DEmp_Notes", "Notes", 4500, 0, 3000, 300)
            f.Calculated = True
            f.CanGrow = True
            f.Align = FieldAlignEnum.CenterMiddle
            f = .Fields.Add("Hline2", "", 0, 305, c1report1.Layout.Width, 10)
            f.Anchor = AnchorEnum.Bottom
            f.LineSlant = LineSlantEnum.NoSlant
            f.BorderStyle = BorderStyleEnum.Solid
            f.BorderColor = Color.Black
        End With

        C1PrintPreviewControl1.Document = c1report1.Document
    End Sub
End Class
